version 1.50 | | version 1.51 |
---|
| | |
# include <unistd.h> | | # include <unistd.h> |
#endif" | | #endif" |
| | |
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LEX LEXLIB LEX_OUTPUT_ROOT LATEX GZIP GUNZIP TAR PERL BASENAME COMPRESS UNCOMPRESS BZIP BUNZIP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS LIBOBJS x_includes x_libraries no_x HAVE_X_TRUE HAVE_X_FALSE X11LIBS pkgstatedir pkgconfdir HAVE_LIBDL_TRUE HAVE_LIBDL_FALSE PYTHON_LIB PY_LIBS PY_INCLUDES PYTHON_PLUGIN_TRUE PYTHON_PLUGIN_FALSE PLUGIN_PYTHON LTLIBOBJS' | | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LEX LEXLIB LEX_OUTPUT_ROOT LATEX GZIP GUNZIP TAR PERL BASENAME COMPRESS UNCOMPRESS BZIP BUNZIP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS LIBOBJS x_includes x_libraries no_x HAVE_X_TRUE HAVE_X_FALSE X11LIBS pkgstatedir pkgconfdir HAVE_LIBDL_TRUE HAVE_LIBDL_FALSE PYTHON_LIB PY_LIBS PY_INCLUDES PYTHON_PLUGIN_TRUE PYTHON_PLUGIN_FALSE PLUGIN_PYTHON LTLIBOBJS' |
ac_subst_files='' | | ac_subst_files='' |
| | |
# Initialize some variables set by options. | | # Initialize some variables set by options. |
| | |
build static libraries [default=yes] | | build static libraries [default=yes] |
--enable-fast-install[=PKGS] | | --enable-fast-install[=PKGS] |
optimize for fast installation [default=yes] | | optimize for fast installation [default=yes] |
--disable-dependency-tracking speeds up one-time build | | --disable-dependency-tracking Speeds up one-time builds |
--enable-dependency-tracking do not reject slow dependency extractors | | --enable-dependency-tracking Do not reject slow dependency extractors |
--disable-libtool-lock avoid locking (might break parallel builds) | | --disable-libtool-lock avoid locking (might break parallel builds) |
--enable-dmalloc Use the dmalloc library if available, may prevent plugins from working | | --enable-dmalloc Use the dmalloc library if available, may prevent plugins from working |
| | |
| | |
ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure. | | ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure. |
| | |
| | |
am__api_version="1.9" | | am__api_version="1.6" |
# Find a good install program. We prefer a C program (faster), | | # Find a good install program. We prefer a C program (faster), |
# so one script is as good as another. But avoid the broken or | | # so one script is as good as another. But avoid the broken or |
# incompatible versions: | | # incompatible versions: |
| | |
program_transform_name=`echo $program_transform_name | sed -f conftest.sed` | | program_transform_name=`echo $program_transform_name | sed -f conftest.sed` |
rm conftest.sed | | rm conftest.sed |
| | |
| | |
# expand $ac_aux_dir to an absolute path | | # expand $ac_aux_dir to an absolute path |
am_aux_dir=`cd $ac_aux_dir && pwd` | | am_aux_dir=`cd $ac_aux_dir && pwd` |
| | |
| | |
echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;} | | echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;} |
fi | | fi |
| | |
if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then | | |
# We used to keeping the `.' as first argument, in order to | | |
# allow $(mkdir_p) to be used without argument. As in | | |
# $(mkdir_p) $(somedir) | | |
# where $(somedir) is conditionally defined. However this is wrong | | |
# for two reasons: | | |
# 1. if the package is installed by a user who cannot write `.' | | |
# make install will fail, | | |
# 2. the above comment should most certainly read | | |
# $(mkdir_p) $(DESTDIR)$(somedir) | | |
# so it does not work when $(somedir) is undefined and | | |
# $(DESTDIR) is not. | | |
# To support the latter case, we have to write | | |
# test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir), | | |
# so the `.' trick is pointless. | | |
mkdir_p='mkdir -p --' | | |
else | | |
# On NextStep and OpenStep, the `mkdir' command does not | | |
# recognize any option. It will interpret all options as | | |
# directories to create, and then abort because `.' already | | |
# exists. | | |
for d in ./-p ./--version; | | |
do | | |
test -d $d && rmdir $d | | |
done | | |
# $(mkinstalldirs) is defined by Automake if mkinstalldirs exists. | | |
if test -f "$ac_aux_dir/mkinstalldirs"; then | | |
mkdir_p='$(mkinstalldirs)' | | |
else | | |
mkdir_p='$(install_sh) -d' | | |
fi | | |
fi | | |
| | |
for ac_prog in gawk mawk nawk awk | | for ac_prog in gawk mawk nawk awk |
do | | do |
# Extract the first word of "$ac_prog", so it can be a program name with args. | | # Extract the first word of "$ac_prog", so it can be a program name with args. |
| | |
SET_MAKE="MAKE=${MAKE-make}" | | SET_MAKE="MAKE=${MAKE-make}" |
fi | | fi |
| | |
rm -rf .tst 2>/dev/null | | |
mkdir .tst 2>/dev/null | | |
if test -d .tst; then | | |
am__leading_dot=. | | |
else | | |
am__leading_dot=_ | | |
fi | | |
rmdir .tst 2>/dev/null | | |
| | |
# test to see if srcdir already configured | | # test to see if srcdir already configured |
if test "`cd $srcdir && pwd`" != "`pwd`" && | | if test "`cd $srcdir && pwd`" != "`pwd`" && |
test -f $srcdir/config.status; then | | test -f $srcdir/config.status; then |
| | |
{ (exit 1); exit 1; }; } | | { (exit 1); exit 1; }; } |
fi | | fi |
| | |
# test whether we have cygpath | | |
if test -z "$CYGPATH_W"; then | | |
if (cygpath --version) >/dev/null 2>/dev/null; then | | |
CYGPATH_W='cygpath -w' | | |
else | | |
CYGPATH_W=echo | | |
fi | | |
fi | | |
| | |
| | |
# Define the identity of the package. | | # Define the identity of the package. |
PACKAGE='crossfire' | | PACKAGE=crossfire |
VERSION='1.7.0' | | VERSION=1.7.0 |
| | |
| | |
cat >>confdefs.h <<_ACEOF | | cat >>confdefs.h <<_ACEOF |
| | |
| | |
MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"} | | MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"} |
| | |
| | |
| | AMTAR=${AMTAR-"${am_missing_run}tar"} |
| | |
install_sh=${install_sh-"$am_aux_dir/install-sh"} | | install_sh=${install_sh-"$am_aux_dir/install-sh"} |
| | |
# Installed binaries are usually stripped using `strip' when the user | | # Installed binaries are usually stripped using `strip' when the user |
| | |
| | |
# We need awk for the "check" target. The system "awk" is bad on | | # We need awk for the "check" target. The system "awk" is bad on |
# some platforms. | | # some platforms. |
# Always define AMTAR for backward compatibility. | | |
| | |
AMTAR=${AMTAR-"${am_missing_run}tar"} | | |
| | |
am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -' | | |
| | |
| | |
| | |
| | # Add the stamp file to the list of files AC keeps track of, |
| | # along with our hook. |
| | ac_config_headers="$ac_config_headers include/autoconf.h" |
| | |
| | |
ac_config_headers="$ac_config_headers include/autoconf.h" | | |
| | |
| | |
| | |
| | |
host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'` | | host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'` |
| | |
| | |
DEPDIR="${am__leading_dot}deps" | | rm -f .deps 2>/dev/null |
| | mkdir .deps 2>/dev/null |
| | if test -d .deps; then |
| | DEPDIR=.deps |
| | else |
| | # MS-DOS does not allow filenames that begin with a dot. |
| | DEPDIR=_deps |
| | fi |
| | rmdir .deps 2>/dev/null |
| | |
| | |
ac_config_commands="$ac_config_commands depfiles" | | ac_config_commands="$ac_config_commands depfiles" |
| | |
| | |
am_make=${MAKE-make} | | am_make=${MAKE-make} |
cat > confinc << 'END' | | cat > confinc << 'END' |
am__doit: | | doit: |
@echo done | | @echo done |
.PHONY: am__doit | | |
END | | END |
# If we don't find an include directive, just comment out the code. | | # If we don't find an include directive, just comment out the code. |
echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5 | | echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5 |
| | |
# In particular we don't look at `^make:' because GNU make might | | # In particular we don't look at `^make:' because GNU make might |
# be invoked under some other name (usually "gmake"), in which | | # be invoked under some other name (usually "gmake"), in which |
# case it prints its new name instead of `make'. | | # case it prints its new name instead of `make'. |
if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then | | if test "`$am_make -s -f confmf 2> /dev/null | fgrep -v 'ing directory'`" = "done"; then |
am__include=include | | am__include=include |
am__quote= | | am__quote= |
_am_result=GNU | | _am_result=GNU |
| | |
# using a relative directory. | | # using a relative directory. |
cp "$am_depcomp" conftest.dir | | cp "$am_depcomp" conftest.dir |
cd conftest.dir | | cd conftest.dir |
# We will build objects and dependencies in a subdirectory because | | |
# it helps to detect inapplicable dependency modes. For instance | | |
# both Tru64's cc and ICC support -MD to output dependencies as a | | |
# side effect of compilation, but ICC will put the dependencies in | | |
# the current directory while Tru64 will put them in the object | | |
# directory. | | |
mkdir sub | | |
| | |
am_cv_CC_dependencies_compiler_type=none | | am_cv_CC_dependencies_compiler_type=none |
if test "$am_compiler_list" = ""; then | | if test "$am_compiler_list" = ""; then |
am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp` | | am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp` |
fi | | fi |
for depmode in $am_compiler_list; do | | for depmode in $am_compiler_list; do |
# Setup a source with many dependencies, because some compilers | | |
# like to wrap large dependency lists on column 80 (with \), and | | |
# we should not choose a depcomp mode which is confused by this. | | |
# | | |
# We need to recreate these files for each test, as the compiler may | | # We need to recreate these files for each test, as the compiler may |
# overwrite some of them when testing with obscure command lines. | | # overwrite some of them when testing with obscure command lines. |
# This happens at least with the AIX C compiler. | | # This happens at least with the AIX C compiler. |
: > sub/conftest.c | | echo '#include "conftest.h"' > conftest.c |
for i in 1 2 3 4 5 6; do | | echo 'int i;' > conftest.h |
echo '#include "conftst'$i'.h"' >> sub/conftest.c | | echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf |
# Using `: > sub/conftst$i.h' creates only sub/conftst1.h with | | |
# Solaris 8's {/usr,}/bin/sh. | | |
touch sub/conftst$i.h | | |
done | | |
echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf | | |
| | |
case $depmode in | | case $depmode in |
nosideeffect) | | nosideeffect) |
| | |
# mode. It turns out that the SunPro C++ compiler does not properly | | # mode. It turns out that the SunPro C++ compiler does not properly |
# handle `-M -o', and we need to detect this. | | # handle `-M -o', and we need to detect this. |
if depmode=$depmode \ | | if depmode=$depmode \ |
source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \ | | source=conftest.c object=conftest.o \ |
depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \ | | depfile=conftest.Po tmpdepfile=conftest.TPo \ |
$SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \ | | $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 && |
>/dev/null 2>conftest.err && | | grep conftest.h conftest.Po > /dev/null 2>&1 && |
grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && | | |
grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && | | |
${MAKE-make} -s -f confmf > /dev/null 2>&1; then | | ${MAKE-make} -s -f confmf > /dev/null 2>&1; then |
# icc doesn't choke on unknown options, it will just issue warnings | | |
# or remarks (even with -Werror). So we grep stderr for any message | | |
# that says an option was ignored or not supported. | | |
# When given -MP, icc 7.0 and 7.1 complain thusly: | | |
# icc: Command line warning: ignoring option '-M'; no argument required | | |
# The diagnosis changed in icc 8.0: | | |
# icc: Command line remark: option '-MP' not supported | | |
if (grep 'ignoring option' conftest.err || | | |
grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else | | |
am_cv_CC_dependencies_compiler_type=$depmode | | am_cv_CC_dependencies_compiler_type=$depmode |
break | | break |
fi | | fi |
fi | | |
done | | done |
| | |
cd .. | | cd .. |
| | |
CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type | | CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type |
| | |
| | |
| | |
if | | |
test "x$enable_dependency_tracking" != xno \ | | |
&& test "$am_cv_CC_dependencies_compiler_type" = gcc3; then | | |
am__fastdepCC_TRUE= | | |
am__fastdepCC_FALSE='#' | | |
else | | |
am__fastdepCC_TRUE='#' | | |
am__fastdepCC_FALSE= | | |
fi | | |
| | |
| | |
echo "$as_me:$LINENO: checking for a sed that does not truncate output" >&5 | | echo "$as_me:$LINENO: checking for a sed that does not truncate output" >&5 |
echo $ECHO_N "checking for a sed that does not truncate output... $ECHO_C" >&6 | | echo $ECHO_N "checking for a sed that does not truncate output... $ECHO_C" >&6 |
if test "${lt_cv_path_SED+set}" = set; then | | if test "${lt_cv_path_SED+set}" = set; then |
| | |
;; | | ;; |
*-*-irix6*) | | *-*-irix6*) |
# Find out which ABI we are using. | | # Find out which ABI we are using. |
echo '#line 3661 "configure"' > conftest.$ac_ext | | echo '#line 3578 "configure"' > conftest.$ac_ext |
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
(eval $ac_compile) 2>&5 | | (eval $ac_compile) 2>&5 |
ac_status=$? | | ac_status=$? |
| | |
# using a relative directory. | | # using a relative directory. |
cp "$am_depcomp" conftest.dir | | cp "$am_depcomp" conftest.dir |
cd conftest.dir | | cd conftest.dir |
# We will build objects and dependencies in a subdirectory because | | |
# it helps to detect inapplicable dependency modes. For instance | | |
# both Tru64's cc and ICC support -MD to output dependencies as a | | |
# side effect of compilation, but ICC will put the dependencies in | | |
# the current directory while Tru64 will put them in the object | | |
# directory. | | |
mkdir sub | | |
| | |
am_cv_CXX_dependencies_compiler_type=none | | am_cv_CXX_dependencies_compiler_type=none |
if test "$am_compiler_list" = ""; then | | if test "$am_compiler_list" = ""; then |
am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp` | | am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp` |
fi | | fi |
for depmode in $am_compiler_list; do | | for depmode in $am_compiler_list; do |
# Setup a source with many dependencies, because some compilers | | |
# like to wrap large dependency lists on column 80 (with \), and | | |
# we should not choose a depcomp mode which is confused by this. | | |
# | | |
# We need to recreate these files for each test, as the compiler may | | # We need to recreate these files for each test, as the compiler may |
# overwrite some of them when testing with obscure command lines. | | # overwrite some of them when testing with obscure command lines. |
# This happens at least with the AIX C compiler. | | # This happens at least with the AIX C compiler. |
: > sub/conftest.c | | echo '#include "conftest.h"' > conftest.c |
for i in 1 2 3 4 5 6; do | | echo 'int i;' > conftest.h |
echo '#include "conftst'$i'.h"' >> sub/conftest.c | | echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf |
# Using `: > sub/conftst$i.h' creates only sub/conftst1.h with | | |
# Solaris 8's {/usr,}/bin/sh. | | |
touch sub/conftst$i.h | | |
done | | |
echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf | | |
| | |
case $depmode in | | case $depmode in |
nosideeffect) | | nosideeffect) |
| | |
# mode. It turns out that the SunPro C++ compiler does not properly | | # mode. It turns out that the SunPro C++ compiler does not properly |
# handle `-M -o', and we need to detect this. | | # handle `-M -o', and we need to detect this. |
if depmode=$depmode \ | | if depmode=$depmode \ |
source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \ | | source=conftest.c object=conftest.o \ |
depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \ | | depfile=conftest.Po tmpdepfile=conftest.TPo \ |
$SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \ | | $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 && |
>/dev/null 2>conftest.err && | | grep conftest.h conftest.Po > /dev/null 2>&1 && |
grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && | | |
grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && | | |
${MAKE-make} -s -f confmf > /dev/null 2>&1; then | | ${MAKE-make} -s -f confmf > /dev/null 2>&1; then |
# icc doesn't choke on unknown options, it will just issue warnings | | |
# or remarks (even with -Werror). So we grep stderr for any message | | |
# that says an option was ignored or not supported. | | |
# When given -MP, icc 7.0 and 7.1 complain thusly: | | |
# icc: Command line warning: ignoring option '-M'; no argument required | | |
# The diagnosis changed in icc 8.0: | | |
# icc: Command line remark: option '-MP' not supported | | |
if (grep 'ignoring option' conftest.err || | | |
grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else | | |
am_cv_CXX_dependencies_compiler_type=$depmode | | am_cv_CXX_dependencies_compiler_type=$depmode |
break | | break |
fi | | fi |
fi | | |
done | | done |
| | |
cd .. | | cd .. |
| | |
CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type | | CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type |
| | |
| | |
| | |
if | | |
test "x$enable_dependency_tracking" != xno \ | | |
&& test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then | | |
am__fastdepCXX_TRUE= | | |
am__fastdepCXX_FALSE='#' | | |
else | | |
am__fastdepCXX_TRUE='#' | | |
am__fastdepCXX_FALSE= | | |
fi | | |
| | |
| | |
ac_ext=cc | | ac_ext=cc |
ac_cpp='$CXXCPP $CPPFLAGS' | | ac_cpp='$CXXCPP $CPPFLAGS' |
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' | | ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' |
| | |
| | |
| | |
# Provide some information about the compiler. | | # Provide some information about the compiler. |
echo "$as_me:5225:" \ | | echo "$as_me:5102:" \ |
"checking for Fortran 77 compiler version" >&5 | | "checking for Fortran 77 compiler version" >&5 |
ac_compiler=`set X $ac_compile; echo $2` | | ac_compiler=`set X $ac_compile; echo $2` |
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 | | { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:6257: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:6134: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:6261: \$? = $ac_status" >&5 | | echo "$as_me:6138: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:6490: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:6367: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:6494: \$? = $ac_status" >&5 | | echo "$as_me:6371: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:6550: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:6427: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:6554: \$? = $ac_status" >&5 | | echo "$as_me:6431: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 8738 "configure" | | #line 8615 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 8836 "configure" | | #line 8713 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:11013: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:10890: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:11017: \$? = $ac_status" >&5 | | echo "$as_me:10894: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:11073: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:10950: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:11077: \$? = $ac_status" >&5 | | echo "$as_me:10954: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 12442 "configure" | | #line 12319 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 12540 "configure" | | #line 12417 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:13367: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:13244: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:13371: \$? = $ac_status" >&5 | | echo "$as_me:13248: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:13427: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:13304: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:13431: \$? = $ac_status" >&5 | | echo "$as_me:13308: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:15472: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:15349: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:15476: \$? = $ac_status" >&5 | | echo "$as_me:15353: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:15705: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:15582: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:15709: \$? = $ac_status" >&5 | | echo "$as_me:15586: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:15765: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:15642: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:15769: \$? = $ac_status" >&5 | | echo "$as_me:15646: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 17953 "configure" | | #line 17830 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 18051 "configure" | | #line 17928 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
# using a relative directory. | | # using a relative directory. |
cp "$am_depcomp" conftest.dir | | cp "$am_depcomp" conftest.dir |
cd conftest.dir | | cd conftest.dir |
# We will build objects and dependencies in a subdirectory because | | |
# it helps to detect inapplicable dependency modes. For instance | | |
# both Tru64's cc and ICC support -MD to output dependencies as a | | |
# side effect of compilation, but ICC will put the dependencies in | | |
# the current directory while Tru64 will put them in the object | | |
# directory. | | |
mkdir sub | | |
| | |
am_cv_CC_dependencies_compiler_type=none | | am_cv_CC_dependencies_compiler_type=none |
if test "$am_compiler_list" = ""; then | | if test "$am_compiler_list" = ""; then |
am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp` | | am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp` |
fi | | fi |
for depmode in $am_compiler_list; do | | for depmode in $am_compiler_list; do |
# Setup a source with many dependencies, because some compilers | | |
# like to wrap large dependency lists on column 80 (with \), and | | |
# we should not choose a depcomp mode which is confused by this. | | |
# | | |
# We need to recreate these files for each test, as the compiler may | | # We need to recreate these files for each test, as the compiler may |
# overwrite some of them when testing with obscure command lines. | | # overwrite some of them when testing with obscure command lines. |
# This happens at least with the AIX C compiler. | | # This happens at least with the AIX C compiler. |
: > sub/conftest.c | | echo '#include "conftest.h"' > conftest.c |
for i in 1 2 3 4 5 6; do | | echo 'int i;' > conftest.h |
echo '#include "conftst'$i'.h"' >> sub/conftest.c | | echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf |
# Using `: > sub/conftst$i.h' creates only sub/conftst1.h with | | |
# Solaris 8's {/usr,}/bin/sh. | | |
touch sub/conftst$i.h | | |
done | | |
echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf | | |
| | |
case $depmode in | | case $depmode in |
nosideeffect) | | nosideeffect) |
| | |
# mode. It turns out that the SunPro C++ compiler does not properly | | # mode. It turns out that the SunPro C++ compiler does not properly |
# handle `-M -o', and we need to detect this. | | # handle `-M -o', and we need to detect this. |
if depmode=$depmode \ | | if depmode=$depmode \ |
source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \ | | source=conftest.c object=conftest.o \ |
depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \ | | depfile=conftest.Po tmpdepfile=conftest.TPo \ |
$SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \ | | $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 && |
>/dev/null 2>conftest.err && | | grep conftest.h conftest.Po > /dev/null 2>&1 && |
grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && | | |
grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && | | |
${MAKE-make} -s -f confmf > /dev/null 2>&1; then | | ${MAKE-make} -s -f confmf > /dev/null 2>&1; then |
# icc doesn't choke on unknown options, it will just issue warnings | | |
# or remarks (even with -Werror). So we grep stderr for any message | | |
# that says an option was ignored or not supported. | | |
# When given -MP, icc 7.0 and 7.1 complain thusly: | | |
# icc: Command line warning: ignoring option '-M'; no argument required | | |
# The diagnosis changed in icc 8.0: | | |
# icc: Command line remark: option '-MP' not supported | | |
if (grep 'ignoring option' conftest.err || | | |
grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else | | |
am_cv_CC_dependencies_compiler_type=$depmode | | am_cv_CC_dependencies_compiler_type=$depmode |
break | | break |
fi | | fi |
fi | | |
done | | done |
| | |
cd .. | | cd .. |
| | |
| | |
| | |
| | |
if | | |
test "x$enable_dependency_tracking" != xno \ | | |
&& test "$am_cv_CC_dependencies_compiler_type" = gcc3; then | | |
am__fastdepCC_TRUE= | | |
am__fastdepCC_FALSE='#' | | |
else | | |
am__fastdepCC_TRUE='#' | | |
am__fastdepCC_FALSE= | | |
fi | | |
| | |
| | |
| | |
case "$target" in | | case "$target" in |
alpha-dec-osf*) | | alpha-dec-osf*) |
# If we are not using gcc, we want the ansi version of cc. | | # If we are not using gcc, we want the ansi version of cc. |
| | |
Usually this means the macro was only invoked conditionally." >&2;} | | Usually this means the macro was only invoked conditionally." >&2;} |
{ (exit 1); exit 1; }; } | | { (exit 1); exit 1; }; } |
fi | | fi |
if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then | | |
{ { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined. | | |
Usually this means the macro was only invoked conditionally." >&5 | | |
echo "$as_me: error: conditional \"am__fastdepCC\" was never defined. | | |
Usually this means the macro was only invoked conditionally." >&2;} | | |
{ (exit 1); exit 1; }; } | | |
fi | | |
if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then | | |
{ { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined. | | |
Usually this means the macro was only invoked conditionally." >&5 | | |
echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined. | | |
Usually this means the macro was only invoked conditionally." >&2;} | | |
{ (exit 1); exit 1; }; } | | |
fi | | |
if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then | | |
{ { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined. | | |
Usually this means the macro was only invoked conditionally." >&5 | | |
echo "$as_me: error: conditional \"am__fastdepCC\" was never defined. | | |
Usually this means the macro was only invoked conditionally." >&2;} | | |
{ (exit 1); exit 1; }; } | | |
fi | | |
if test -z "${HAVE_X_TRUE}" && test -z "${HAVE_X_FALSE}"; then | | if test -z "${HAVE_X_TRUE}" && test -z "${HAVE_X_FALSE}"; then |
{ { echo "$as_me:$LINENO: error: conditional \"HAVE_X\" was never defined. | | { { echo "$as_me:$LINENO: error: conditional \"HAVE_X\" was never defined. |
Usually this means the macro was only invoked conditionally." >&5 | | Usually this means the macro was only invoked conditionally." >&5 |
| | |
s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t | | s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t |
s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t | | s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t |
s,@INSTALL_DATA@,$INSTALL_DATA,;t t | | s,@INSTALL_DATA@,$INSTALL_DATA,;t t |
s,@CYGPATH_W@,$CYGPATH_W,;t t | | |
s,@PACKAGE@,$PACKAGE,;t t | | s,@PACKAGE@,$PACKAGE,;t t |
s,@VERSION@,$VERSION,;t t | | s,@VERSION@,$VERSION,;t t |
s,@ACLOCAL@,$ACLOCAL,;t t | | s,@ACLOCAL@,$ACLOCAL,;t t |
| | |
s,@AUTOMAKE@,$AUTOMAKE,;t t | | s,@AUTOMAKE@,$AUTOMAKE,;t t |
s,@AUTOHEADER@,$AUTOHEADER,;t t | | s,@AUTOHEADER@,$AUTOHEADER,;t t |
s,@MAKEINFO@,$MAKEINFO,;t t | | s,@MAKEINFO@,$MAKEINFO,;t t |
| | s,@AMTAR@,$AMTAR,;t t |
s,@install_sh@,$install_sh,;t t | | s,@install_sh@,$install_sh,;t t |
s,@STRIP@,$STRIP,;t t | | s,@STRIP@,$STRIP,;t t |
s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t | | s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t |
s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t | | s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t |
s,@mkdir_p@,$mkdir_p,;t t | | |
s,@AWK@,$AWK,;t t | | s,@AWK@,$AWK,;t t |
s,@SET_MAKE@,$SET_MAKE,;t t | | s,@SET_MAKE@,$SET_MAKE,;t t |
s,@am__leading_dot@,$am__leading_dot,;t t | | |
s,@AMTAR@,$AMTAR,;t t | | |
s,@am__tar@,$am__tar,;t t | | |
s,@am__untar@,$am__untar,;t t | | |
s,@build@,$build,;t t | | s,@build@,$build,;t t |
s,@build_cpu@,$build_cpu,;t t | | s,@build_cpu@,$build_cpu,;t t |
s,@build_vendor@,$build_vendor,;t t | | s,@build_vendor@,$build_vendor,;t t |
| | |
s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t | | s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t |
s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t | | s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t |
s,@CCDEPMODE@,$CCDEPMODE,;t t | | s,@CCDEPMODE@,$CCDEPMODE,;t t |
s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t | | |
s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t | | |
s,@EGREP@,$EGREP,;t t | | s,@EGREP@,$EGREP,;t t |
s,@LN_S@,$LN_S,;t t | | s,@LN_S@,$LN_S,;t t |
s,@ECHO@,$ECHO,;t t | | s,@ECHO@,$ECHO,;t t |
| | |
s,@CXXFLAGS@,$CXXFLAGS,;t t | | s,@CXXFLAGS@,$CXXFLAGS,;t t |
s,@ac_ct_CXX@,$ac_ct_CXX,;t t | | s,@ac_ct_CXX@,$ac_ct_CXX,;t t |
s,@CXXDEPMODE@,$CXXDEPMODE,;t t | | s,@CXXDEPMODE@,$CXXDEPMODE,;t t |
s,@am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t | | |
s,@am__fastdepCXX_FALSE@,$am__fastdepCXX_FALSE,;t t | | |
s,@CXXCPP@,$CXXCPP,;t t | | s,@CXXCPP@,$CXXCPP,;t t |
s,@F77@,$F77,;t t | | s,@F77@,$F77,;t t |
s,@FFLAGS@,$FFLAGS,;t t | | s,@FFLAGS@,$FFLAGS,;t t |
| | |
cat $tmp/config.h | | cat $tmp/config.h |
rm -f $tmp/config.h | | rm -f $tmp/config.h |
fi | | fi |
# Compute $ac_file's index in $config_headers. | | # Run the commands associated with the file. |
_am_stamp_count=1 | | case $ac_file in |
for _am_header in $config_headers :; do | | include/autoconf.h ) # update the timestamp |
case $_am_header in | | echo 'timestamp for include/autoconf.h' >"include/stamp-h1" |
$ac_file | $ac_file:* ) | | ;; |
break ;; | | |
* ) | | |
_am_stamp_count=`expr $_am_stamp_count + 1` ;; | | |
esac | | esac |
done | | done |
echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null || | | |
$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ | | |
X$ac_file : 'X\(//\)[^/]' \| \ | | |
X$ac_file : 'X\(//\)$' \| \ | | |
X$ac_file : 'X\(/\)' \| \ | | |
. : '\(.\)' 2>/dev/null || | | |
echo X$ac_file | | | |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } | | |
/^X\(\/\/\)[^/].*/{ s//\1/; q; } | | |
/^X\(\/\/\)$/{ s//\1/; q; } | | |
/^X\(\/\).*/{ s//\1/; q; } | | |
s/.*/./; q'`/stamp-h$_am_stamp_count | | |
done | | |
_ACEOF | | _ACEOF |
cat >>$CONFIG_STATUS <<\_ACEOF | | cat >>$CONFIG_STATUS <<\_ACEOF |
| | |
| | |
else | | else |
continue | | continue |
fi | | fi |
# Extract the definition of DEPDIR, am__include, and am__quote | | grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue |
# from the Makefile without running `make'. | | # Extract the definition of DEP_FILES from the Makefile without |
DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"` | | # running `make'. |
| | DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"` |
test -z "$DEPDIR" && continue | | test -z "$DEPDIR" && continue |
am__include=`sed -n 's/^am__include = //p' < "$mf"` | | |
test -z "am__include" && continue | | |
am__quote=`sed -n 's/^am__quote = //p' < "$mf"` | | |
# When using ansi2knr, U may be empty or an underscore; expand it | | # When using ansi2knr, U may be empty or an underscore; expand it |
U=`sed -n 's/^U = //p' < "$mf"` | | U=`sed -n -e '/^U = / s///p' < "$mf"` |
# Find all dependency output files, they are included files with | | test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR" |
# $(DEPDIR) in their names. We invoke sed twice because it is the | | # We invoke sed twice because it is the simplest approach to |
# simplest approach to changing $(DEPDIR) to its actual value in the | | # changing $(DEPDIR) to its actual value in the expansion. |
# expansion. | | for file in `sed -n -e ' |
for file in `sed -n " | | /^DEP_FILES = .*\\\\$/ { |
s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \ | | s/^DEP_FILES = // |
| | :loop |
| | s/\\\\$// |
| | p |
| | n |
| | /\\\\$/ b loop |
| | p |
| | } |
| | /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \ |
sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do | | sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do |
# Make sure the directory exists. | | # Make sure the directory exists. |
test -f "$dirpart/$file" && continue | | test -f "$dirpart/$file" && continue |